<div class="{{mensajes.type}}">

  <div class="avatar">

  </div>
  <div id="cm-msg" class="burbble">
    <div class="text">
      {{mensajes.text}}
    </div>
  </div>
</div>

<div *ngIf="boton">
  <app-button (click)="clicked(this.mensajes.textbutton)" [mensajes]='mensajes.textbutton'></app-button>
</div>

<div *ngIf="botones">
  <div class="row" role="group" aria-label="Basic example">
    <div *ngFor="let array of array">
      <app-button (click)="clicked(array)" class="col" [mensajes]='array'></app-button>
    </div>
  </div>
</div>

<div *ngIf="img">
  <app-image [mensajes]='this.mensajes.textbutton'></app-image>
</div>

<div *ngIf="linstCard">
  <div *ngFor="let arrays of cardList">
    <app-card-img-top-link [mensajes]='arrays'></app-card-img-top-link>
  </div>
</div>

<!-- <div *ngIf="carrousel">

  <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
    <div class="carousel-inner" *ngFor="let item of cardList">
      <app-carrousel [mensajes]='item'></app-carrousel>
    </div>
    <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>

</div> -->

<div *ngIf="carrousel">
  
  <ngb-carousel>
      <ng-template ngbSlide *ngFor="let item of cardList">
        <app-carrousel [mensajes]='item'></app-carrousel>
      </ng-template>
  </ngb-carousel>
</div>

<div *ngIf="video">
  <app-video [mensajes]='this.videoDate'></app-video>
</div>


<!--============================ cards =========================================-->


<div *ngIf="cardTopLink">
  <app-card-img-top-link [mensajes]='cardDateTopLink'></app-card-img-top-link>
</div>

<div *ngIf="cardSimpleLink">
  <app-card-simple-link [mensajes]='cardDateSimpleLink'></app-card-simple-link>
</div>

<div *ngIf="cardLeftLink">
  <app-card-img-left-link [mensajes]='cardDateLeftleLink'></app-card-img-left-link>
</div>

<div *ngIf="cardRightLink">
  <app-card-img-right-link [mensajes]='cardDateRightleLink'></app-card-img-right-link>
</div>

<div *ngIf="cardVideoLink">
  <app-card-video-link [mensajes]='cardDateVideoLink'></app-card-video-link>
</div>


<div *ngIf="cardTopButton">
  <app-card-img-top-button [mensajes]='cardDateTopButton'></app-card-img-top-button>
</div>

<div *ngIf="cardSimpleButton">
  <app-card-simple-button [mensajes]='cardDateSimpleButton'></app-card-simple-button>
</div>

<div *ngIf="cardLeftButton">
  <app-card-img-left-button [mensajes]='cardDateLeftleButton'></app-card-img-left-button>
</div>

<div *ngIf="cardRightButton">
  <app-card-img-right-button [mensajes]='cardDateRightleButton'></app-card-img-right-button>
</div>

<div *ngIf="cardVideoButton">
  <app-card-video-button [mensajes]='cardDateVideoButton'></app-card-video-button>
</div>



<!-- =================================== cardsList ====================================== -->



<div *ngIf="cardTopLinkList">
  <div *ngFor="let item of cardDateTopLinkList">
    <app-card-img-top-link [mensajes]='item'></app-card-img-top-link>
  </div>
</div>

<div *ngIf="cardSimpleLinkList">
  <div *ngFor="let item of cardDateSimpleLinkList">
    <app-card-simple-link [mensajes]='item'></app-card-simple-link>
  </div>
</div>

<div *ngIf="cardLeftLinkList">
  <div *ngFor="let item of cardDateLeftLinkList">
    <app-card-img-left-link [mensajes]='item'></app-card-img-left-link>
  </div>
</div>

<div *ngIf="cardRightLinkList">
  <div *ngFor="let item of cardDateRightLinkList">
    <app-card-img-right-link [mensajes]='item'></app-card-img-right-link>
  </div>
</div>



<div *ngIf="cardTopButtonList">
  <div *ngFor="let item of cardDateTopButtonList">
    <app-card-img-top-button [mensajes]='item'></app-card-img-top-button>
  </div>
</div>

<div *ngIf="cardSimpleButtonList">
  <div *ngFor="let item of cardDateSimpleButtonList">
    <app-card-simple-button [mensajes]='item'></app-card-simple-button>
  </div>
</div>

<div *ngIf="cardLeftButtonList">
  <div *ngFor="let item of cardDateLeftButtonList">
    <app-card-img-left-button [mensajes]='item'></app-card-img-left-button>
  </div>
</div>

<div *ngIf="cardRightButtonList">
  <div *ngFor="let item of cardDateRightButtonList">
    <app-card-img-right-button [mensajes]='item'></app-card-img-right-button>
  </div>
</div>